/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.ws.cxf.client;

import org.ow2.util.ee.builder.webserviceref.WebServiceRefBuilder;
import org.ow2.jonas.ws.cxf.client.factory.CXFWebServiceRefObjectFactory;

import javax.naming.Reference;

/**
 * The CXFWebServiceRefBuilder simply helps us to take some control on the client
 * side during the lookup phase.
 *
 * @author Guillaume Sauthier
 */
public class CXFWebServiceRefBuilder extends WebServiceRefBuilder {

    /**
     * Provides our own ObjectFactory.
     * @param classname class to be constructed after lookup
     * @return a JNDI Reference
     */
    @Override
    protected Reference createReference(String classname) {
        return new Reference(classname, CXFWebServiceRefObjectFactory.class.getName(), null);
    }
}
